Bug 116247 - [UPDATE] games/crafty-open-large
[UPDATE] games/crafty-open-large
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 03:30 UTC by shoemaker
Modified: 2007-09-10 05:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shoemaker 2007-09-10 03:30:00 UTC
	Since the crafty port has been updated, there are
inconsistencies in the opening book ports now.  Since the maintainer's
email bounces, I'll volunteer to maintain these as well.  The port has
been updated so that it'll actually be seen by crafty, and has been
made accessible for the learning function to work.

Fix: 

----------------------------------------------------------------------
Finally - A spam blocker that actually works.
http://www.bluebottle.com/tag/4--oAu3AZvj5ipgGctftS94p0a2zWYkAeFP5P1V56XZtwCKUxwj
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	crafty-open-large
#	crafty-open-large/files
#	crafty-open-large/files/book-building
#	crafty-open-large/Makefile
#	crafty-open-large/distinfo
#	crafty-open-large/pkg-descr
#	crafty-open-large/pkg-plist
#
echo c - crafty-open-large
mkdir -p crafty-open-large > /dev/null 2>&1
echo c - crafty-open-large/files
mkdir -p crafty-open-large/files > /dev/null 2>&1
echo x - crafty-open-large/files/book-building
sed 's/^X//' >crafty-open-large/files/book-building << 'END-of-crafty-open-large/files/book-building'
Xbook create Book.pgn 60 2 50
Xquit
END-of-crafty-open-large/files/book-building
echo x - crafty-open-large/Makefile
sed 's/^X//' >crafty-open-large/Makefile << 'END-of-crafty-open-large/Makefile'
X# New ports collection makefile for:	crafty-open-large
X# Date created:				1 June 1998
X# Whom:					Stefan Eggers <seggers@semyam.dinoco.de>
X#
X# $FreeBSD: ports/games/crafty-open-large/Makefile,v 1.8 2004/11/07 10:52:14 dd Exp $
X#
X
XPORTNAME=	crafty-open-large
XPORTVERSION=	2
XCATEGORIES=	games
XMASTER_SITES=	${MASTER_SITE_LOCAL}
XMASTER_SITE_SUBDIR=	dd/crafty
XDISTFILES=	large1.zip large2.zip large3.zip large4.zip
X
XMAINTAINER=	shoemaker@bluebottle.com
XCOMMENT=	The large opening book for crafty
X
XBUILD_DEPENDS=	crafty:${PORTSDIR}/games/crafty
XRUN_DEPENDS=	crafty:${PORTSDIR}/games/crafty
X
XDIST_SUBDIR=		crafty
XUSE_ZIP=		yes
XNO_WRKSUBDIR=		yes
XCONFLICTS=	games/crafty-open-enormous-* games/crafty-open-medium-*
Xpost-extract:
X	@${ECHO_MSG} '================================================================'
X	@${ECHO_MSG} 'Ignore warnings about illegal moves.  These warnings are normal.'
X	@${ECHO_MSG} '================================================================'
X	${CAT} ${WRKDIR}/Book1.pgn ${WRKDIR}/Book2.pgn ${WRKDIR}/Book3.pgn ${WRKDIR}/Book4.pgn >${WRKDIR}/Book.pgn
X	${RM} ${WRKDIR}/Book1.pgn ${WRKDIR}/Book2.pgn ${WRKDIR}/Book3.pgn ${WRKDIR}/Book4.pgn
X
Xdo-build:
X	(${CHOWN} nobody ${WRKDIR}; cd ${WRKDIR}; crafty <${FILESDIR}/book-building)
X
Xdo-install:
X	${MKDIR} ${PREFIX}/lib/crafty
X	${INSTALL_DATA} ${WRKDIR}/book.bin ${PREFIX}/lib/crafty/book.bin
X	${CHOWN} nobody:nogroup ${PREFIX}/lib/crafty/book.bin
X	${CHMOD} 664 ${PREFIX}/lib/crafty/book.bin
X
X.include <bsd.port.mk>
END-of-crafty-open-large/Makefile
echo x - crafty-open-large/distinfo
sed 's/^X//' >crafty-open-large/distinfo << 'END-of-crafty-open-large/distinfo'
XMD5 (crafty/large1.zip) = 0ed222c7df3eb9a0f4ad91c76dc0349c
XSHA256 (crafty/large1.zip) = 90f18e8d5084b9d63cad74b4e5996193e88008d98958d67aa0bf4d6e89eda6ae
XSIZE (crafty/large1.zip) = 6326344
XMD5 (crafty/large2.zip) = 8f1bdc7dd3f9379d5e6fd43f1f9c07d3
XSHA256 (crafty/large2.zip) = 84136cfd51e1efc45e29ee25026814e740d713d74b5823f4376c251c982a0c20
XSIZE (crafty/large2.zip) = 6255452
XMD5 (crafty/large3.zip) = b9c6fbdfb56b489e31a85382c8142ff3
XSHA256 (crafty/large3.zip) = 214a17b98e37406b6bcbb4c47ba9df5ce2ee867518a52bb5cace210ffe702a8e
XSIZE (crafty/large3.zip) = 6427389
XMD5 (crafty/large4.zip) = 96ac81e6c7c4a851d9ad7996539f4d61
XSHA256 (crafty/large4.zip) = 22ca2fbffae7e3b824985ab9f26abea64ecee35968f7811189f62b1b879f3767
XSIZE (crafty/large4.zip) = 4475843
END-of-crafty-open-large/distinfo
echo x - crafty-open-large/pkg-descr
sed 's/^X//' >crafty-open-large/pkg-descr << 'END-of-crafty-open-large/pkg-descr'
XThis is the port of the large opening book for crafty.
X
XIt was created with "book create book.txt 60 2 50" (see the crafty
Xdocumentation and online help for a more thorough explanation of what
Xthis does).
END-of-crafty-open-large/pkg-descr
echo x - crafty-open-large/pkg-plist
sed 's/^X//' >crafty-open-large/pkg-plist << 'END-of-crafty-open-large/pkg-plist'
Xlib/crafty/book.bin
END-of-crafty-open-large/pkg-plist
exit
Comment 1 Edwin Groothuis freebsd_committer 2007-09-10 03:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Edwin Groothuis freebsd_committer 2007-09-10 03:34:11 UTC
State Changed
From-To: feedback->open

Here also goes, maintainer has been resetted.
Comment 3 Edwin Groothuis freebsd_committer 2007-09-10 04:54:33 UTC
State Changed
From-To: open->feedback

Can you please tell why you have changed the PORTVERSION from a 
date to a sequence number? 

And can you please submit the changes in "diff -u" format so we can 
easier see what has changed?
Comment 4 Edwin Groothuis freebsd_committer 2007-09-10 04:54:33 UTC
State Changed
From-To: open->feedback

Can you please tell why you have changed the PORTVERSION from a  
date to a sequence number? 

And can you please submit the changes in "diff -u" format so we can  
easier see what has changed?
Comment 5 shoemaker 2007-09-10 05:24:58 UTC
--- crafty-open-large/Makefile.orig	Sun Sep  9 22:11:48 2007
+++ crafty-open-large/Makefile	Sun Sep  9 22:09:51 2007
@@ -2,17 +2,17 @@
 # Date created:				1 June 1998
 # Whom:					Stefan Eggers <seggers@semyam.dinoco.de>
 #
-# $FreeBSD: ports/games/crafty-open-large/Makefile,v 1.9 2007/09/10 01:40:03 edwin Exp $
+# $FreeBSD: ports/games/crafty-open-large/Makefile,v 1.8 2004/11/07 10:52:14 dd Exp $
 #
 
 PORTNAME=	crafty-open-large
-PORTVERSION=	19960910
+PORTVERSION=	20070909
 CATEGORIES=	games
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	dd/crafty
 DISTFILES=	large1.zip large2.zip large3.zip large4.zip
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	shoemaker@bluebottle.com
 COMMENT=	The large opening book for crafty
 
 BUILD_DEPENDS=	crafty:${PORTSDIR}/games/crafty
@@ -21,7 +21,7 @@
 DIST_SUBDIR=		crafty
 USE_ZIP=		yes
 NO_WRKSUBDIR=		yes
-
+CONFLICTS=	games/crafty-open-enormous-* games/crafty-open-medium-*
 post-extract:
 	@${ECHO_MSG} '================================================================'
 	@${ECHO_MSG} 'Ignore warnings about illegal moves.  These warnings are normal.'
@@ -30,10 +30,12 @@
 	${RM} ${WRKDIR}/Book1.pgn ${WRKDIR}/Book2.pgn ${WRKDIR}/Book3.pgn ${WRKDIR}/Book4.pgn
 
 do-build:
-	(cd ${WRKDIR}; crafty <${FILESDIR}/book-building)
+	(${CHOWN} nobody ${WRKDIR}; cd ${WRKDIR}; crafty <${FILESDIR}/book-building)
 
 do-install:
 	${MKDIR} ${PREFIX}/lib/crafty
-	${INSTALL_DATA} ${WRKDIR}/book.bin ${PREFIX}/lib/crafty/large-book.bin
+	${INSTALL_DATA} ${WRKDIR}/book.bin ${PREFIX}/lib/crafty/book.bin
+	${CHOWN} nobody:nogroup ${PREFIX}/lib/crafty/book.bin
+	${CHMOD} 664 ${PREFIX}/lib/crafty/book.bin
 
 .include <bsd.port.mk>

--- crafty-open-large/pkg-descr.orig	Wed Jun  3 20:37:38 1998
+++ crafty-open-large/pkg-descr	Sun Sep  9 19:53:41 2007
@@ -1,9 +1,5 @@
 This is the port of the large opening book for crafty.
 
-It was created with "book create book.txt 60 3" (see the crafty
+It was created with "book create book.txt 60 2 50" (see the crafty
 documentation and online help for a more thorough explanation of what
-this does) which discards all openings not played in at least three
-games which I expect to be a reasonable constant, but I am open to
-suggestions on this.
-
-- Stefan Eggers <seggers@semyam.dinoco.de>
+this does).

--- crafty-open-large/pkg-plist.orig	Wed Jun  3 20:37:38 1998
+++ crafty-open-large/pkg-plist	Sun Sep  9 19:54:05 2007
@@ -1,2 +1 @@
-lib/crafty/large-book.bin
-@dirrm lib/crafty
+lib/crafty/book.bin

-- 
If only God would give me some clear sign!
Like making a large deposit in my name at a Swiss bank.
		-- Woody Allen, "Without Feathers"

----------------------------------------------------------------------
Free pop3 email with a spam filter.
http://www.bluebottle.com/tag/5
Comment 6 dfilter freebsd_committer 2007-09-10 05:40:57 UTC
edwin       2007-09-10 04:40:53 UTC

  FreeBSD ports repository

  Modified files:
    games/crafty-open-large Makefile pkg-descr pkg-plist 
    games/crafty-open-large/files book-building 
  Log:
  [UPDATE] games/crafty-open-large
  
          Since the crafty port has been updated, there are inconsistencies
          in the opening book ports now. Since the maintainer's email
          bounces, I'll volunteer to maintain these as well. The port
          has been updated so that it'll actually be seen by crafty,
          and has been made accessible for the learning function to
          work.
  
  PR:             ports/116247
  Submitted by:   shoemaker@bluebottle.com (Jonathan Shoemaker)
  
  Revision  Changes    Path
  1.10      +10 -7     ports/games/crafty-open-large/Makefile
  1.2       +1 -1      ports/games/crafty-open-large/files/book-building
  1.2       +2 -6      ports/games/crafty-open-large/pkg-descr
  1.2       +1 -2      ports/games/crafty-open-large/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Edwin Groothuis freebsd_committer 2007-09-10 05:41:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks!